/* Pango
 * pango-xsl-attributes-private.h:
 *
 * Copyright (C) 1999 Red Hat Software
 * Copyright (C) 2000 Tor Lillqvist
 * Copyright (C) 2001, 2003 Sun Microsystems
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __PANGO_XSL_ATTRIBUTES_PRIVATE_H__
#define __PANGO_XSL_ATTRIBUTES_PRIVATE_H__

#include "pango-xsl-attributes.h"
#include "pango-attributes-private.h"

typedef struct _PangoBaselineTable PangoBaselineTable;
typedef struct _PangoAttrBaseline  PangoAttrBaseline;

struct _PangoAttrBaseline
{
  PangoAttribute attr;
  PangoBaseline baseline;
  PangoFontDescription *desc;
};

typedef struct _PangoAttrPointer PangoAttrPointer;

struct _PangoAttrPointer
{
  PangoAttribute attr;
  gpointer pointer;
};

struct _PangoBaselineTable
{
  gint units_per_EM;

  gint alphabetic;
  gint ideographic;
  gint hanging;
  gint mathematical;
  gint central;
  gint middle;
  gint text_before_edge;
  gint text_after_edge;
};

#endif /* __PANGO_XSL_ATTRIBUTES_PRIVATE_H__ */
